<?php


/**
 * Form builder; kewego datasource admin settings form.
 *
 * @ingroup forms
 * @see system_settings_form()
 */
function datasource_kewego_admin_settings($form, &$form_state) {

  $form['datasource_kewego_fetch_range'] = array(
    '#type' => 'textfield',
    '#title' => t("Number of videos to fetch"),
    '#default_value' => variable_get('datasource_kewego_fetch_range', 50),
  );
  
  
  $form['datasource_kewego_thumbnail_size'] = array(
      '#type' => 'select',
      '#title' => t("Thumbnail size"),
      '#options' => array(
          'small' => t('Small'),
          'medium' => t('Medium'),
          'large' => t('Large'),
          ),
      '#default_value' => variable_get('datasource_kewego_thumbnail_size', 'large'),
  );
  
  $form['datasource_kewego_full_description'] = array(
      '#type' => 'checkbox',
      '#title' => t("Full description"),
      '#return_value' => 1,
      '#default_value' => variable_get('datasource_kewego_full_description', 1),
  );
  
  $form = system_settings_form($form);
  
  return $form;
}

/**
 * Form builder; kewego datasource admin settings form.
 *
 * @ingroup forms
 * @see system_settings_form()
 */
function datasource_kewego_quick_import($form, &$form_state) {
  
  $form['sig'] = array(
      '#type' => 'textfield',
      '#title' => t("Video SIG"),
      '#description' => t("Enter the SIG of the video to import."),
      '#default_value' => '',
      '#required' => TRUE,
  );
  
  $form[] = array(
      '#type' => 'submit',
      '#value' => t('Import video'),
  );
  
  return $form;
}

/**
 * Submit callback.
 *
 * @see datasource_kewego_quick_import();
 */
function datasource_kewego_quick_import_submit($form, &$form_state) {
  $n = datasources_import('datasource_kewego_videos', array('sig' => $form_state['values']['sig']));
  if ($n > 0) {
    drupal_set_message(t('Successfully imported'));
  }
  else {
    drupal_set_message(t('Nothing imported'), 'error');
  }
}